package CatalystX::HelpText::Finder::TemplateToolkit::Regexp;
use Moose;
use List::MoreUtils qw/ uniq /;
use namespace::autoclean;

sub find_helptext_keys_in_fn {
    my ($self, $fn) = @_;
    open(my $FILE, '<', $fn) or warn "Can't open $fn\n" && return;
    my @keys = ();
    while (my $line = <$FILE>) {
        if (my ($key) = $line =~ m/help_text\(\s*['"](.*)['"]\s*\)/) {
            push @keys, $key;
        }
    }
    close($FILE);
    return [ uniq @keys ];
}

__PACKAGE__->meta->make_immutable;

1;
